#! /bin/sh
##-----------------------------------------------------------------------------
## VBOXMAILPRO.sh - OPT_VBOXMAILPRO                                    V0.0.2.1
##
##        P L E A S E   R E A D   T H E   D O C U M E N T A T I O N ,
##                  S E E   V B O X M A I L P R O. T X T
##
##        B I T T E  U N B E D I N G T   D I E   D O K U M E N T A T I O N
##        L E S E N ,  S I E H E   V B O X M A I L P R O . T X T
##
## Creation:     2008-02-14   epsus
## Bugfixes:     2009-07-17   Michael Schaffner
##-----------------------------------------------------------------------------


DATE=`date +%d.%m.%Y`
TIME=`date +%H.%M.%S`
DATI=""$DATE"_"$TIME""

TMPDIR="/tmp/"
#TMPDI1="/tmp/vboxmailpro"

#mkdir $TMPDI1

#---------------------------
# Konfigurationsdatei
#---------------------------

. /etc/vboxmailpro.conf


NEWMESSAGE="$1"
CALLNAME="$2"
CALLNR="$3"
USERNAME="$4"
#LOGFILE=$VBOXMAILPRO_LOGFILE
LOGFILE=""$VBOXMAILPRO_LOGFILE"_"$USERNAME""
TMPDI1="/tmp/vboxmailpro_"$USERNAME""
mkdir $TMPDI1

echo "`date`: $1 - $2 - $3 - $4" >> $LOGFILE

ATT=""$DATI"_"$CALLNR""


#---------------------------
#Benutzer feststellen
#---------------------------

SUCCESS=0

while [ $SUCCESS != $VBOXMAILPRO_USER ]; do
	SUCCESS=`expr $SUCCESS + 1`
	eval USERTEST=\$VBOXMAILPRO_USER_$SUCCESS
	if [ "$USERNAME" = "$USERTEST" ]
		then
		USERNUM=$SUCCESS
		SUCCESS=$VBOXMAILPRO_USER
	else
		USERTEST="unset"
	fi
done


#---------------------------------------------------------------------------
#Falls Vboxbenutzer nicht in Config aufgef�hrt ist beenden
#---------------------------------------------------------------------------

if [ "$USERTEST" = "unset" ];
	then
	exit 0 #Es ist ja kein Fehler... nicht jeder Nutzer bekommt eine Email.
fi
#------------------------------------------------------------------------------------------
#USERTEST ist unser mail Benutzer!!!!! USERNUM ist Benutzernummer
#------------------------------------------------------------------------------------------

#--------------------------
#Jetzt Variablen auslesen
#--------------------------

eval VBOXMAILPRO_WA=\$VBOXMAILPRO_USER_$USERNUM\_WAV
eval VBOXMAILPRO_DE=\$VBOXMAILPRO_USER_$USERNUM\_DEL
eval VBOXMAILPRO_TO=\$VBOXMAILPRO_USER_$USERNUM\_TO
eval VBOXMAILPRO_FR=\$VBOXMAILPRO_USER_$USERNUM\_FR
eval VBOXMAILPRO_DF=\$VBOXMAILPRO_USER_$USERNUM\_DF
eval VBOXMAILPRO_DT=\$VBOXMAILPRO_USER_$USERNUM\_DT
eval VBOXMAILPRO_RT=\$VBOXMAILPRO_USER_$USERNUM\_REPLY_TO

#-------------------------------------------------------------
#Falls gew�nscht WAV f�r Versand vorbereiten 
#-------------------------------------------------------------


if [ "$VBOXMAILPRO_WA"="yes" ];
then
	cp $NEWMESSAGE /$TMPDIR/TOWAV
	/usr/bin/vboxtoau -u </$TMPDIR/TOWAV >$TMPDI1/$ATT.au
	if [ "$?" = "0" ];
	then
		rm /$TMPDIR/TOWAV
	else
		echo "`date`: Fehler bei der Umwandlung" >> $LOGFILE
		exit 1
	fi
fi

#----------------------------
#Mailversand vorbereiten
#----------------------------

(
	echo -e "Anruf von   : ${CALLNAME}\r"
	echo -e "Nummer      : ${CALLNR}\r"
	echo -e "Datum       : ${DATE}\r"
	echo -e "Zeit        : ${TIME}\r"
	echo -e "-------------------------------------------\r"
) > $TMPDIR/body.txt

if [ "$VBOXMAILPRO_WA" = "yes" ];
then
	echo "Die Nachricht liegt als Attachment der Mail bei" >> $TMPDIR/body.txt
	if [ "$VBOXMAILPRO_DE" = "yes" ];
	then
		echo "Achtung die Nachricht wurde auf Ihrem Fli4l gel�scht" >> $TMPDIR/body.txt
	fi
else
	echo "Die Nachricht liegt auf Ihrem Fli4l bereit" >> $TMPDIR/body.txt
fi
#--------------------------------------------------------------------------
#MAILVERSAND :) mit pr�fung auf erfolgreichen Versand
#--------------------------------------------------------------------------

if [ "$VBOXMAILPRO_WA" = "yes" ];
then
	$VBOXMAILPRO_SEND_SCRIPT -f "${VBOXMAILPRO_FR}@${VBOXMAILPRO_DF}" -t "${VBOXMAILPRO_TO}@${VBOXMAILPRO_DT}" -r "${VBOXMAILPRO_RT}@${VBOXMAILPRO_DF}" -s "Anruf von ${CALLNAME}, Nummer ${CALLNR}" -b "${TMPDIR}/body.txt" -d "${TMPDI1}"
	if [ "$?" = "0" ];
	then
		if [ "$VBOXMAILPRO_DE" = "yes" ];
		then
			rm $NEWMESSAGE
			rm $TMPDI1/$ATT.au
			rm $TMPDIR/body.txt
		else
			rm $TMPDI1/$ATT.au
			rm $TMPDIR/body.txt
		fi
	else
		echo "`date`: Fehler beim Mailversand!" >> $LOGFILE
		rm $TMPDI1/$ATT.au
	fi
else	
	$VBOXMAILPRO_SEND_SCRIPT -f "${VBOXMAILPRO_FR}@${VBOXMAILPRO_DF}" -t "${VBOXMAILPRO_TO}@${VBOXMAILPRO_DT}" -r "${VBOXMAILPRO_RT}@${VBOXMAILPRO_DF}" -s "Anruf von von ${CALLNAME}, Nummer ${CALLNR}" -b "${TMPDIR}/body.txt"
	if [ "$?" = "1" ];
	then
		echo "`date`: Fehler beim Mailversand!" >> $LOGFILE
	fi
fi